.\"	$OpenBSD: ws.man,v 1.2 2005/04/25 20:03:50 matthieu Exp $
.\"
.\" Copyright (c) 2005 Matthieu Herrb
.\"
.\" Permission to use, copy, modify, and distribute this software for any
.\" purpose with or without fee is hereby granted, provided that the above
.\" copyright notice and this permission notice appear in all copies.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
.\" WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
.\" MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
.\" ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
.\" WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
.\" ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
.\" OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
.\"
.\" shorthand for double quote that works everywhere.
.ds q \N'34'
.TH WS __drivermansuffix__ __vendorversion__
.SH NAME 
WS \- wscons pointer input driver for *BSD
.SH SYNOPSIS
.nf
.B "Section \*qInputDevice\*q"
.BI "    Identifier \*q" name \*q
.B  "    Driver \*qws\*q"
.BI "    Option \*qDevice\*q  \*q" path \*q
.BI "    Option \*qMinX\*q \*q" number \*q
.BI "    Option \*qMaxX\*q \*q" number \*q
.BI "    Option \*qMinY\*q \*q" number \*q
.BI "    Option \*qMaxY\*q \*q" number \*q
\ \ ...
.B EndSection
.fi
.SH DESCRIPTION
.B ws 
in an XFree86/X.Org input driver for pointer devices (mouse, tablet,
touchscreen,...) drived by the wscons console driver on 
OpenBSD.
.SH "SUPPORTED HARDWARE"
This driver supports zts(4) the touchscreen of Zaurus machines.
.SH "CONFIGURATION DETAILS"
Please refer to xorg.conf(__filemansuffix__) for general configuration
details and for options that can be used with all input drivers.  This
section only covers configuration details specific to this driver.
.PP
.TP 4
.B Option \fI"Device"\fP \fI"path"\fP
sets the path to the special file used by the device, ususally
/dev/wsmouse.
This option is mandatory.
.TP 4
.B Option \fI"MinX"\fP \fI"number"\fP
.TP 4
.B Option \fI"MaxX"\fP \fI"number"\fP
.TP 4
.B Option \fI"MinY"\fP \fI"number"\fP
.TP 4
.B Option \fI"MaxY"\fP \fI"number"\fP
These options represent the coordinate space returned by the device.
They default to the screen dimensions, since the calibration is handled in
the kernel by the zts(4) driver and the ztsscale(8) utility.
.SH "SEE ALSO"
Xorg(1), xorg.conf(__filemansuffix__), zts(4), sysctl(8), ztsscale(8).
